/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.launcher.utest;

import java.io.File;
import java.util.List;
import java.util.Properties;

import org.ow2.petals.launcher.PetalsLauncher;
import org.ow2.petals.launcher.api.server.PetalsServer;
import org.ow2.petals.launcher.api.server.exception.PetalsServerException;
import org.ow2.petals.launcher.api.service.ServiceEndpoint;
import org.ow2.petals.topology.generated.Topology;

/**
 * A Petals server implementation for unit tests of the launcher
 * {@link PetalsLauncher}.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class PetalsServerUTest implements PetalsServer {

    public PetalsServerUTest() {
        // NOP
    }

    @Override
    public void init(Properties serverLocalProperties, Topology topology, File dataRootPath)
            throws PetalsServerException {
        // NOP
    }

    @Override
    public void start() throws PetalsServerException {
        // NOP
    }

    @Override
    public void stop() throws PetalsServerException {
        // NOP
    }

    @Override
    public String browseJNDI() throws PetalsServerException {
        return null;
    }

    @Override
    public List<ServiceEndpoint> getServiceEndpoints(boolean global) throws PetalsServerException {
        return null;
    }

    @Override
    public String getContainerConfiguration() throws PetalsServerException {
        return null;
    }

    @Override
    public boolean isRunning() {
        return false;
    }

}
